%define qtdir /usr/lib/qt3
%define objprelink 1



Name: kcpuload
Version: 1.9.1
Release: alt2
Serial: 1

Group: Monitoring
Summary: Small applet which displays cpu time for KDE kicker

Source0: %name-%version.tar.bz2
License: GPL

# Automatically added by buildreq on Tue Oct 30 2001
BuildRequires: freetype2 gcc-c++ kdelibs-devel libjpeg-devel
BuildRequires: liblcms libmng libpng-devel libqt3-devel libstdc++-devel
BuildRequires: XFree86-devel XFree86-libs zlib-devel
%if %objprelink
BuildRequires: objprelink
%endif

%description
This is a small program for the KDE Kicker (the startmenu).
It will show the CPU usage in form of one or two configurable diagrams.
There are settings for colors and some different styles.
Note that it isn't the real system load that's shown, but the percent
used of the total CPU power, which is calculated from the number of
CPU ticks.

To bring up the settings menu, simply rightclick on the diagram.
Use a slower update interval to get a more stable and accurate
diagram without flicker.

If there are more than one CPU on the system, the total CPU usage from
both can be shown, or you can choose to have one separate diagram for
each of the CPU's.
Leftclick on the diagram to bring up a small information box which will
show the exact CPU usage in text form.

%prep
%setup -q

%build
export QTDIR=%qtdir
%configure \
	--disable-rpath \
	--disable-static \
	--disable-debug \
	--program-transform-name="" \
	--enable-final

%if %objprelink
%make_build CXX=g++prelink
%else
%make_build
%endif

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%_menudir
cat << EOF > $RPM_BUILD_ROOT/%_menudir/%name
?package(%name):\
	needs="kde" \
	section="Applications/Monitoring" \
	title="%name" \
	longtitle="Small applet which displays cpu time for KDE kicker" \
	command="%name" \
	icon=%name.png
EOF

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/apps/%name
%_datadir/icons/*/*/*/*
%_datadir/applnk/Applications/*.desktop
%_menudir/%name
#%%_docdir/HTML/en/%name

%changelog
* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.1-alt2
- rebuild with gcc3.2

* Fri Apr 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.1-alt1
- new version
- build with KDE3

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.90-ipl6mdk
- fix BuildRequires

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 1.90-ipl5mdk
- rebuild with new libpng
- cleanup spec

* Fri Mar 2 2001 AEN <aen@logic.ru>
- rebuild with KDE-2.1
* Fri Dec 09 2000 AEN <aen@logic.ru>
- build for RE

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 1.90-1mdk
- Firt mdk release
